Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 185735 - BNX2 Patch in 2.4.21-40.EL kills "Network Device Support" config menu
Summary: BNX2 Patch in 2.4.21-40.EL kills "Network Device Support" config menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
: 186901 (view as bug list)
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-03-17 10:06 UTC by Peter Pramberger
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0437
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 13:58:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
jwltest-bnx2-endmenu.patch (deleted)
2006-03-17 14:14 UTC, John W. Linville
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0437 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 8 2006-07-20 13:11:00 UTC

Description Peter Pramberger 2006-03-17 10:06:51 UTC
Description of problem:

linux-2.4.21-bnx2.patch from kernel-2.4.21-40.EL.src.rpm removes "endmenu" from
drivers/net/Config.in causing an abort of "make menuconfig".

Version-Release number of selected component (if applicable):

kernel-2.4.21-40.EL.src.rpm
kernel-source-2.4.21-40.EL

How reproducible:

Always

Steps to Reproduce:
1. rpmbuild -bp SPECS/kernel-2.4.spec
2. cd BUILD/kernel-2.4.21/linux-2.4.21
3. make menuconfig
4. select "Network Device Support" -> menu ends with "Ethernet (1000 Mbit)"
5. select "Ethernet (1000 Mbit)"

Actual results:

Abort with error:
Q> scripts/Menuconfig: line 832: MCmenu36: command not found

Comment 1 John W. Linville 2006-03-17 14:14:48 UTC
Created attachment 126275 [details]
jwltest-bnx2-endmenu.patch

Comment 2 John W. Linville 2006-03-17 15:15:57 UTC
I have included the patch above in the test kernels here: 
 
   http://people.redhat.com/linville/kernels/rhel3/ 
 
I expect that it will be available in RHEL3 U8. 

Comment 4 Peter Pramberger 2006-03-17 20:27:23 UTC
Confirmed.

Thx

Comment 5 John W. Linville 2006-03-27 14:05:12 UTC
*** Bug 186901 has been marked as a duplicate of this bug. ***

Comment 6 Ernie Petrides 2006-03-28 01:21:30 UTC
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-40.5.EL).


Comment 11 Red Hat Bugzilla 2006-07-20 13:58:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html



Note You need to log in before you can comment on or make changes to this bug.